/* Базовый сброс */

html {
  box-sizing: border-box;
}

*, *::before, *::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  max-width: 100%;
}

/* clears the ‘X’ from Internet Explorer */
input[type=search]::-ms-clear { display: none; width : 0; height: 0; }
input[type=search]::-ms-reveal { display: none; width : 0; height: 0; }

/* clears the ‘X’ from Chrome */
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration { display: none; }

/* Конец Базового сброса */

/* Common classes */

ul {
  list-style: none;
}

input:focus, textarea:focus, input:active, textarea:active {
  outline: none;
}

:focus-visible {
  outline: none;
}

:active, :focus-visible {
  transition-duration: 0ms;
}

/* Common transition */

a, button, svg, path, rect, ellipse, circle, .menu__link, .nav__menu, .menu_active, .search, .search_active, .question__title, .question, .question__expand-image, .application__input, .application__textarea, .common-link::before, .common-transition
{
  transition-property: none;
  transition-duration: 300ms;
  /* transition-duration: 1000ms; */
  /* transition-duration: 3000ms; */
  transition-timing-function: ease;
}

.transparent-button {
  line-height: 0;
  border: none;
  background-color: transparent;
  overflow: visible;
}

.transparent-button:focus-visible {
  outline: none;
}
